Loading...
Searching...
No Matches
BALL::Pair6_12InteractionEnergyProcessor::Default Struct Reference

`#include <BALL/SOLVATION/pair6_12InteractionEnergyProcessor.h>`

## Static Public Attributes

static const Size | VERBOSITY
static const bool | USE_RDF
static const char * | RDF_FILENAME
static const char * | SOLVENT_FILENAME
static const char * | LJ_FILENAME
static const float | SOLVENT_NUMBER_DENSITY
static const Size | SURFACE_TYPE
static const char * | SURFACE_FILENAME

## Detailed Description

Default values for interaction energy calculations. These values represent the default settings for the calculations of the interaction energy.

Definition at line 135 of file pair6_12InteractionEnergyProcessor.h.

## Member Data Documentation

## LJ_FILENAME

const char* BALL::Pair6_12InteractionEnergyProcessor::Default::LJ_FILENAME

static

Definition at line 149 of file pair6_12InteractionEnergyProcessor.h.

## RDF_FILENAME

const char* BALL::Pair6_12InteractionEnergyProcessor::Default::RDF_FILENAME

static

Definition at line 147 of file pair6_12InteractionEnergyProcessor.h.

## SOLVENT_FILENAME

const char* BALL::Pair6_12InteractionEnergyProcessor::Default::SOLVENT_FILENAME

static

Definition at line 148 of file pair6_12InteractionEnergyProcessor.h.

## SOLVENT_NUMBER_DENSITY

const float BALL::Pair6_12InteractionEnergyProcessor::Default::SOLVENT_NUMBER_DENSITY

static

Default number density. This default value is the number density of water at 300 K and standard pressure (3.33253e-2 $ A^{-3}$).

See also
  Option::SOLVENT_NUMBER_DENSITY;

Definition at line 156 of file pair6_12InteractionEnergyProcessor.h.

## SURFACE_FILENAME

const char* BALL::Pair6_12InteractionEnergyProcessor::Default::SURFACE_FILENAME

static

See also
  Option::SURFACE_FILENAME

Definition at line 166 of file pair6_12InteractionEnergyProcessor.h.

## SURFACE_TYPE

const Size BALL::Pair6_12InteractionEnergyProcessor::Default::SURFACE_TYPE

static

See also
  Option::SURFACE_TYPE

Definition at line 161 of file pair6_12InteractionEnergyProcessor.h.

## USE_RDF

const bool BALL::Pair6_12InteractionEnergyProcessor::Default::USE_RDF

static

Default RDF setting. We use RDF information for the calculation of the interaction energy by default.

See also
  Option::USE_RDF

Definition at line 146 of file pair6_12InteractionEnergyProcessor.h.

## VERBOSITY

const Size BALL::Pair6_12InteractionEnergyProcessor::Default::VERBOSITY

static

Default verbosity level.

See also
  Option::VERBOSITY

Definition at line 140 of file pair6_12InteractionEnergyProcessor.h.